import * as React from "react";
import PickerModal from "@freakycoder/react-native-picker-modal";
import { launchCamera, launchImageLibrary, } from "react-native-image-picker";
const PHOTO = "photo";
const LIBRARY = "library";
const ImagePickerModal = ({ isVisible, data, onPress, capturePhotoOptions, libraryPhotoOptions, includeBase64 = false, ...rest }) => {
    const handleSelection = async (selectedItem) => {
        if (selectedItem === data[0]) {
            const options = {
                saveToPhotos: true,
                mediaType: PHOTO,
                includeBase64: includeBase64,
                includeExtra: true,
            };
            const result = await launchCamera(capturePhotoOptions || options);
            onPress && onPress(result);
        }
        else if (selectedItem === data[1]) {
            const options = {
                selectionLimit: 0,
                mediaType: LIBRARY,
                includeBase64: includeBase64,
                includeExtra: true,
            };
            const result = await launchImageLibrary(libraryPhotoOptions || options);
            onPress && onPress(result);
        }
    };
    return (<PickerModal isVisible={isVisible} data={data} {...rest} onPress={handleSelection}/>);
};
export default ImagePickerModal;
//# sourceMappingURL=ImagePickerModal.js.map